package com.zbsz.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.common.entity.base.Base;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@TableName(value = "p_indicator")
public class Indicator extends Base {
    @TableField("indicator_name")
    @ApiModelProperty(value = "指标名称(128)")
    private String indicatorName;
    @TableField("indicator_en_name(128)")
    @ApiModelProperty(value = "指标英文名称",required = true)
    private String indicatorEnName;
    @TableField("indicator_dic_id")
    @ApiModelProperty(value = "指标类型(32)")
    private Integer indicatorDicId;
    //理论上这个字段应该是字典表
    @TableField("scene_id")
    @ApiModelProperty(value = "关联技能(32)")
    private Integer sceneId;
    @TableField("app_dic_p_id")
    @ApiModelProperty(value = "关联应用模块(32)")
    private Integer appDicPId;
    @TableField("app_dic_c_id")
    @ApiModelProperty(value = "关联功能(32)")
    private Integer appDicCId;
    @TableField("indicator_table_name")
    @ApiModelProperty(value = "关联表名称(255)")
    private String indicatorTableName;
    @TableField("indicator_column")
    @ApiModelProperty(value = "关联表字段名称(255)")
    private String indicatorColumn;
    @TableField("indicator_code")
    @ApiModelProperty(value = "代码值(32)")
    private String indicatorCode;
}
